Subject: The Galloways and Woodfills book.

From: Linda Gudgel Finnell <[email-masked]>
Date: Sun, 23 Sep 2012 22:31:48 -0400

I received my book "Our Ancestors - The Galloways and Woodfills" by
Esther Ann Wright yesterday.  From appearances it is a wonderfully put
together book and has a chapter on Andrew Gudgel's family also. Have
only skimmed through it so far but hope to get more into it soon.  It
is available through Amazon.com.

Thanks to Esther Ann Wright for writing this book.  Hope I can do as
well someday.

Linda